From 84b315bcec7f8140abed7e8eaf9a5c1651a05987 Mon Sep 17 00:00:00 2001
From: Thomas Munro <thomas.munro@enterprisedb.com>
Date: Sun, 11 Feb 2018 22:45:58 +1300
Subject: [PATCH] Minor clean-up in dshash.{c,h}.

For consistency with other code that deals in numbers of buckets, the macro
BUCKETS_PER_PARTITION should produce a value of type size_t.  Also, fix a
mention of an obsolete proposed name for dshash.c that appeared in a comment.

Thomas Munro, based on an observation from Amit Kapila
Discussion: https://postgr.es/m/CAA4eK1%2BBOp5aaW3aHEkg5Bptf8Ga_BkBnmA-%3DXcAXShs0yCiYQ%40mail.gmail.com
---
 src/backend/lib/dshash.c | 2 +-
 src/include/lib/dshash.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/lib/dshash.c b/src/backend/lib/dshash.c
index b1973d4bfbc..b46f7c4cfd0 100644
--- a/src/backend/lib/dshash.c
+++ b/src/backend/lib/dshash.c
@@ -129,7 +129,7 @@ struct dshash_table
 
 /* How many buckets are there in each partition at a given size? */
 #define BUCKETS_PER_PARTITION(size_log2)		\
-	(UINT64CONST(1) << NUM_SPLITS(size_log2))
+	(((size_t) 1) << NUM_SPLITS(size_log2))
 
 /* Max entries before we need to grow.  Half + quarter = 75% load factor. */
 #define MAX_COUNT_PER_PARTITION(hash_table)				\
diff --git a/src/include/lib/dshash.h b/src/include/lib/dshash.h
index afee6516af5..3f8086e46d6 100644
--- a/src/include/lib/dshash.h
+++ b/src/include/lib/dshash.h
@@ -55,7 +55,7 @@ typedef struct dshash_parameters
 	int			tranche_id;		/* The tranche ID to use for locks */
 } dshash_parameters;
 
-/* Forward declaration of private types for use only by dht.c. */
+/* Forward declaration of private types for use only by dshash.c. */
 struct dshash_table_item;
 typedef struct dshash_table_item dshash_table_item;
 
-- 
2.15.1

